Bug 183011 - /sbin/grubby: double free or corruption (out)
/sbin/grubby: double free or corruption (out)
Status: CLOSED DUPLICATE of bug 183010
Product: Fedora
Classification: Fedora
Component: mkinitrd (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Jones
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-25 04:55 EST by Michael Schwendt
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-26 18:10:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Michael Schwendt 2006-02-25 04:55:33 EST
During today's update of kernel package:

  Installing: kernel                       ####################### [13/84] 
*** glibc detected *** /sbin/grubby: double free or corruption (out): 0xbfa66de0
 ***
======= Backtrace: =========
/lib/libc.so.6[0x3edde8]
/lib/libc.so.6(__libc_free+0x79)[0x3f12ed]
/sbin/grubby[0x804fd12]
/sbin/grubby[0x804fe73]
/sbin/grubby[0x8050c9e]
/lib/libc.so.6(__libc_start_main+0xdc)[0x39f7a4]
/sbin/grubby[0x804a001]
======= Memory map: ========
0036d000-00386000 r-xp 00000000 03:08 480488     /lib/ld-2.3.90.so
00386000-00387000 r-xp 00018000 03:08 480488     /lib/ld-2.3.90.so
00387000-00388000 rwxp 00019000 03:08 480488     /lib/ld-2.3.90.so
0038a000-004ad000 r-xp 00000000 03:08 480500     /lib/libc-2.3.90.so
004ad000-004b0000 r-xp 00122000 03:08 480500     /lib/libc-2.3.90.so
004b0000-004b1000 rwxp 00125000 03:08 480500     /lib/libc-2.3.90.so
004b1000-004b4000 rwxp 004b1000 00:00 0 
0082c000-00837000 r-xp 00000000 03:08 483080     /lib/libgcc_s-4.1.0-20060219.so
.1
00837000-00838000 rwxp 0000a000 03:08 483080     /lib/libgcc_s-4.1.0-20060219.so
.1
00cb0000-00cb1000 r-xp 00cb0000 00:00 0          [vdso]
08048000-08089000 r-xp 00000000 03:08 801114     /sbin/grubby
08089000-0808c000 rw-p 00041000 03:08 801114     /sbin/grubby
0808c000-08094000 rw-p 0808c000 00:00 0 
08e2d000-08e4e000 rw-p 08e2d000 00:00 0          [heap]
b7e00000-b7e21000 rw-p b7e00000 00:00 0 
b7e21000-b7f00000 ---p b7e21000 00:00 0 
b7f52000-b7f54000 rw-p b7f52000 00:00 0 
bfa53000-bfa68000 rw-p bfa53000 00:00 0          [stack]
/sbin/new-kernel-pkg: line 89:  2657 Aborted                 /sbin/grubby --add-
kernel=$bootPrefix/$kernelName-$version $INITRD --copy-default $makedefault --ti
tle "$title" ${mbkernel:+--add-multiboot="$mbkernel"} ${mbargs:+--mbargs="$mbarg
s"} --args="root=$rootdevice $kernargs" --remove-kernel="TITLE=$title"
  Updating  : nautilus-cd-burner           ####################### [14/84]
Comment 1 Michael Schwendt 2006-02-25 05:14:29 EST
Reproducible with:

# /sbin/new-kernel-pkg --package kernel --mkinitrd --depmod --install
2.6.15-1.1977_FC5

# rpm -qf $(which grubby)
mkinitrd-5.0.28-1
Comment 2 Michael Schwendt 2006-02-25 05:39:54 EST
* mkinitrd src.rpm is missing "BuildRequires: pump-devel"

(gdb) bt
#0  0x003c8402 in __kernel_vsyscall ()
#1  0x001390f9 in raise () from /lib/libc.so.6
#2  0x0013a683 in abort () from /lib/libc.so.6
#3  0x0016d8db in __libc_message () from /lib/libc.so.6
#4  0x00174de8 in _int_free () from /lib/libc.so.6
#5  0x001782ed in free () from /lib/libc.so.6
#6  0x0804f4c2 in suitableImage (entry=0x8256578, bootPrefix=0x8255978 "",
skipRemoved=0, flags=Variable "flags" is not available.
) at grubby.c:972
#7  0x0804f661 in findTemplate (cfg=0x8255bf8, prefix=0x8255978 "",
indexPtr=0x0, skipRemoved=0, flags=0) at grubby.c:1146
#8  0x0805044e in main (argc=7, argv=Cannot access memory at address 0x3b86
) at grubby.c:2563
#9  0x001267a4 in __libc_start_main () from /lib/libc.so.6
#10 0x080497b1 in _start ()
Comment 3 Dave Jones 2006-02-26 18:10:53 EST

*** This bug has been marked as a duplicate of 183010 ***

Note You need to log in before you can comment on or make changes to this bug.